openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RSPO_R_RETURN_BIN_DATA:
    post:
      tags:
      - SPRR
      operationId: /rfc/RSPO_R_RETURN_BIN_DATA
      requestBody:
        content:
          application/json:
            schema:
              properties:
                LIST_COUNT:
                  type: integer
                  format: int64
                  default: 0
                LIST_END:
                  type: string
                  default: ' '
                  maxLength: 1
                LIST_FIRST:
                  type: integer
                  format: int64
                  default: 1
                OTF_COUNT:
                  type: integer
                  format: int64
                  default: 0
                OTF_END:
                  type: string
                  default: ' '
                  maxLength: 1
                OTF_FIRST:
                  type: integer
                  format: int64
                  default: 1
                SHORT:
                  type: string
                  default: X
                  maxLength: 1
                  description: General Flag
                LINE_BUFFER:
                  type: array
                  items:
                    type: object
                    properties:
                      DATA_LEN:
                        type: integer
                        format: int32
                        description: Natural number
                      DATA_LINE:
                        type: string
                        format: byte
                        description: Data Buffer;Length of 1000 BinaryCharacters(Max. 2000 Bytes)
                LINE_BUFFER2:
                  type: array
                  items:
                    type: object
                    properties:
                      DATA_LEN:
                        type: integer
                        format: int32
                        description: Natural number
                      DATA_LINE:
                        type: string
                        format: byte
                        description: Data Buffer; Length of 4096 Binary Characters = 8192 Bytes
                PAGE_INDEX:
                  type: array
                  items:
                    type: object
                    properties:
                      PAGE:
                        type: integer
                        format: int32
                        description: Number of pages in a spool request
                RQDESC:
                  type: array
                  items:
                    type: object
                    properties:
                      PARAM:
                        type: string
                        maxLength: 16
                        description: Parameter name for spool settings
                      VALUE:
                        type: string
                        maxLength: 200
                        description: Spool parameter value
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  CODEPAGE:
                    type: integer
                    format: int64
                    description: SAP character set identification
                  COL_HEADER:
                    type: string
                    maxLength: 6
                    description: General Flag
                  MORE_DATA:
                    type: string
                    maxLength: 1
                    description: General Flag
                  OTF_HEADER:
                    type: object
                    properties:
                      TDPRINTCOM:
                        type: string
                        maxLength: 2
                        description: 'OFT format: command ID'
                      TDPRINTPAR:
                        type: string
                        maxLength: 70
                        description: 'OTF format: command parameters'
                  LINE_BUFFER:
                    type: array
                    items:
                      type: object
                      properties:
                        DATA_LEN:
                          type: integer
                          format: int32
                          description: Natural number
                        DATA_LINE:
                          type: string
                          format: byte
                          description: Data Buffer;Length of 1000 BinaryCharacters(Max. 2000 Bytes)
                  LINE_BUFFER2:
                    type: array
                    items:
                      type: object
                      properties:
                        DATA_LEN:
                          type: integer
                          format: int32
                          description: Natural number
                        DATA_LINE:
                          type: string
                          format: byte
                          description: Data Buffer; Length of 4096 Binary Characters = 8192 Bytes
                  PAGE_INDEX:
                    type: array
                    items:
                      type: object
                      properties:
                        PAGE:
                          type: integer
                          format: int32
                          description: Number of pages in a spool request
                  RQDESC:
                    type: array
                    items:
                      type: object
                      properties:
                        PARAM:
                          type: string
                          maxLength: 16
                          description: Parameter name for spool settings
                        VALUE:
                          type: string
                          maxLength: 200
                          description: Spool parameter value
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
